Этот плагин не тестировался с последними 3 основными выпусками WordPress. Скорее всего, он уже не поддерживается и может быть несовместим с текущими версиями WordPress.

WP-Syntax Editor Integration Plugin

Описание

This plugin will add a button to both the visual and HTML WordPress Editor panel allowing you to easily insert code for WP-Syntax. WP-Syntax is a syntax highlighting plugin for WordPress which can be downloaded from https://wordpress.org/extend/plugins/wp-syntax/

Usage

  1. Select the text you want to have highlighted by WP-Syntax
  2. Click the button pre (WP-Syntax) in HTML editing mode or the icon with colored lines in visual editing mode
  3. Enter the language and starting line separated by a comma. The later is optional.

Скриншоты

  • The first image screenshot-1.png shows the rich text / TinyMCE editor version of the editing screen.
  • The second image screenshot-2.png shows the plain text / HTML editor version of the editing screen.

Установка

  1. Upload the wp-syntax-integration folder to the /wp-content/plugins/ directory
  2. Activate the plugin through the ‘Plugins’ menu in WordPress

Часто задаваемые вопросы

If I enter HTML tags in visual mode and click the button, most of the HTML tags disappear!

This is a known limitation which is caused by TinyMCE stripping out HTML tags which are not allowed according to its settings. A workaround is to do the editing in HTML mode (see usage).

I can’t get the TinyMCE (Rich Text) buttons to display!

Make sure that you have uploaded the entire contents of the wp-syntax-integration folder. If it still doesn’t work, drop me a line.

Участники и разработчики

«WP-Syntax Editor Integration Plugin» — проект с открытым исходным кодом. В развитие плагина внесли свой вклад следующие участники:

Участники

Перевести «WP-Syntax Editor Integration Plugin» на ваш язык.

Заинтересованы в разработке?

Посмотрите код, проверьте SVN репозиторий, или подпишитесь на журнал разработки по RSS.

Журнал изменений

0.2

Adjusted plugin to work with WordPress 3.3 and above in plain text editor. Note that versions prior to WordPress 3.3 are not supported any longer.

0.1

  • Initial release